### Signal

# Clutter Actor::captured-event

#### Declaration

    gboolean
    captured_event (
      ClutterActor* self,
      const ClutterEvent* event,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when an event is captured by Clutter. This signal will be emitted starting from the top-level container (the `ClutterStage`) to the actor which received the event going down the hierarchy. This signal can be used to intercept every event before the specialized events (like `ClutterActor::button-press-event` or `ClutterActor::button-release-event`) are emitted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`event`

  Type: `ClutterEvent`

  A `ClutterEvent`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the event has been handled by the actor, or `FALSE` to continue the emission.